package cn.kdan.compdf.enums;

/**
 * @author Bob
 * @date 2022/10/12
 * 返回常量code-msg
 */
public enum ResponseEnum {

    SUCCESS("200","成功"),
    LOGIN_USER_NO_EXISTS("700","用户名不存在"),
    ACCOUNT_PASSWORD_WRONG("701","账号或者密码错误"),
    NO_LOGIN("702","请先登录"),
    TOKEN_ERROR("703","无效身份，请重新登录"),
    TOKEN_TIMEOUT("704","登录超时，请重新登录"),
    ROLE_NO_RIGHT("705","权限不足"),
    OLDPWD_EQUALS_NEWPWD("706","旧密码不能和新密码相同"),
    PROJECT_NULL("707","Project name cannot be blank."),

    SYSTEM_ERROR("500","系统内部异常"),

    ;


    private String code;
    private String msg;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    ResponseEnum(String code, String msg){
        this.code = code;
        this.msg = msg;
    }
}
