package cn.kdan.compdf.utils;

import lombok.extern.slf4j.Slf4j;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * Md5工具类
 * @author Bob 2022-10-13
 */
@Slf4j
public class MD5Util {

	/**
	 * Md5加密
	 * @author Bob 2022-10-13
	 */
	public static String MD5Encode(String origin) {
		MessageDigest messageDigest;
		String resultString = null;
		try {
			messageDigest = MessageDigest.getInstance("MD5");
			// 拼接compdf前缀防止碰撞破解
			resultString = byteArrayToHexString(messageDigest.digest(("compdf" + origin).getBytes()));
		} catch (NoSuchAlgorithmException e) {
			log.error("MD5 messageDigest 初始化失败");
			e.printStackTrace();
		}
		return resultString;
	}

	public static void main(String[] args) {
		System.out.println(MD5Util.MD5Encode("123456"));
	}

	/**
	 * 转换字符串
	 * @author Bob 2022-10-13
	 */
	private static String byteArrayToHexString(byte[] bytes) {
		StringBuilder resultSb = new StringBuilder();
		for (int i = 0; i < bytes.length; i++) {
			int n = bytes[i];
			if (n < 0) {
				n += 256;
			}
			int d1 = n / 16;
			int d2 = n % 16;
			resultSb.append(hexDigits[d1]).append(hexDigits[d2]);
		}
		return resultSb.toString();
	}

	private static final String[] hexDigits = { "0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "a", "b", "c", "d", "e", "f" };

}
