package cn.kdan.compdf.entity;

import cn.kdan.compdf.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author ComPDFKit-WPH 2022-10-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("background_user_balance")
public class BackgroundUserBalance extends BaseEntity{

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 关联用户主键id
     */
    private Long userId;
    /**
     * 租户id
     */
    private Long tenantId;
    /**
     * 日期
     */
    private LocalDateTime date;
    /**
     * 充值/消费具体类型1、Package，2、Subscription，3、Free，9、Files consumed
     */
    private Integer descriptionType;
    /**
     * 充值/消费具体类型描述
     */
    private String description;
    /**
     * 充值/消费类型1充值2消费3过期
     */
    private Integer changeType;
    /**
     * 文件数量变动额度
     */
    private Integer balanceChange;
    /**
     * 文件数量余额
     */
    private Integer remainingFiles;
    /**
     * 过期时间
     */
    private Date expiredDate;

}
